image: node:12
services:
  - mongo

test:
  script:
    - npm install
    - unset CI
    - npm run pe-config -- --ci --db_name=test --db_host=mongo --app_type=server --http_host=localhost --http_port=9095
    - npm run pe-install -- -y
    - npx babel-node server/index --ci
